import { Component } from '@angular/core';
import { RouterOutlet } from '@angular/router';
import { CodeInputModule } from 'angular-code-input';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [RouterOutlet, CodeInputModule],
  templateUrl: './app.component.html',
  styleUrl: './app.component.sass'
})
export class AppComponent {
  title = 'test-app';

  code = '';

  public async onCodeChanged(code: string): Promise<void> {
    this.code = code;
    await new Promise(resolve => setTimeout(resolve, 50));
    this.code = code.toLocaleUpperCase();
  }

  public onCodeCompleted(code: string): void {
    const value = code.toLocaleUpperCase();
    // the
  }
}
